Verknüpfungen nicht zugänglich

Moses SkodaEntwickler1 Min. Lesezeit

Die API antwortet bei diesem Problem mit 422 Unprocessable Content. Der Wert von type ist https://lingo.dev/docs/api/errors/attachments-unreachable. Unter Fehler und Statuscodes findest du die gemeinsame Struktur aller Fehler.

Diese Glossare lassen sich nicht auf diese Engine anwenden: <id>. Jedes Glossar muss zur Organisation der Engine gehören und für dich sichtbar sein. Lass die Glossare in der Anfrage weg oder bitte um Zugriff.

Felder#

Neben den Standardfeldern type, status, title und detail enthält der Antwortkörper die folgenden Felder. Der detail-Text wird daraus erstellt, sodass ein Client stattdessen einen eigenen Text anzeigen kann.

FeldTyp
kind"glossary" | "ruleset" | "brandVoice"
idsstring[]

Beispiel#

json
{
  "detail": "Cannot apply these glossaries to this engine: <id>. Each one must belong to the engine's organization and be visible to you. Leave them out of the request, or ask for access.",
  "kind": "glossary",
  "ids": [
    "<id>"
  ],
  "type": "https://lingo.dev/docs/api/errors/attachments-unreachable",
  "status": 422,
  "title": "Attachments out of reach"
}

Zurückgegeben von#

  • PATCH /v2/engines/{id}
  • POST /v2/organizations/{orgId}/engines
  • POST /v2/organizations/{orgId}/provisioning/jobs
  • PUT /v2/engines/{id}/glossaries/{glossaryId}
  • PUT /v2/engines/{id}/rulesets/{rulesetId}